Debian/Ubuntu installations fail on the "finish" preseed
Status: Resolved   

Priority: High   

Assignee:    

Category: Unattended installations   

Target version:    

Triaged:  Found in Releases: 1.8.0

Fixed in Releases:    

Description

Tested with Debian 8 and Ubuntu 14.04.

Screenshot from the IPMI: http://img.nux.ro/XN7-Selection_037.png

Test says:

'Execution of presseded command "wget -Y off $URL -O /target/tmp/finish.sh && in-target chmod +x /tmp/finish.sh && in-target

/tmp/finish.sh" failed with exit code 8.'

Server side all I see that is meaningful is:

'Unable to find finish template for $server running [Ubuntu 14.04]'

You can press "Continue" and the installation will finish, but Foreman will not be aware of it, so it will retry to install again and again.

History

#1 - 05/12/2015 03:27 PM - Anonymous

Do you have the "preseed finish" template associated with the Ubuntu 14.04 OS in Foreman?

#2 - 05/12/2015 05:55 PM - Nux Ro

Michael Moll wrote:

Do you have the "preseed finish" template associated with the Ubuntu 14.04 OS in Foreman?

 I did not at the beginning, then I realised it and hoped it's that, but I get the exact same error after associating the template.

Does it work for any of you guys?

#3 - 05/12/2015 06:32 PM - Anonymous

yes, working fine here and also for a lot of other people... Did you also select it as finish script in the Templates tab of the Ubuntu 14.04 OS?

#4 - 05/13/2015 03:41 AM - Nux Ro

That's it. Although the "finish" script was associated, it was not selected in the Templates ... http://img.nux.ro/9qV-Selection_038.png

Confusingly, the CentOS OSes I have do not require a "finish" script to successfully complete a deployment.

Thanks!

#5 - 05/13/2015 03:53 AM - Anonymous

- Tracker changed from Bug to Support

- Status changed from New to Resolved

- % Done changed from 0 to 100

- Assignee set to Anonymous

closing, thanks.
